coupons.css 3.0 KB

123456789101112131415161718192021222324252627282930313233343536373839404142434445464748495051525354555657585960616263646566676869707172737475767778798081828384858687888990919293949596979899100101102103104105106107108109110111112113114115116117118119120121122123124125126127128129130131132133134135136137138139140141142143144145146147148149150151152153154155156157158159160161162163164165166167168169170171172173174175176177178179180181182183184185186187188189190191192193194195196197198199200201202
  1. ax-body {
  2. display: block;
  3. height: 100%;
  4. background: linear-gradient( 180deg, #6DEEED 0%, #C4FFFF 8%, #FFFFFF 37%, #F5F7FB 100%);
  5. }
  6. .page-background {
  7. position: fixed;
  8. top: 0;
  9. left: 0;
  10. right: 0;
  11. z-index: 0;
  12. }
  13. .page-background image {
  14. display: block;
  15. width: 100%;
  16. }
  17. .tabs-body{
  18. }
  19. /* 选项卡start */
  20. .tabs-box {
  21. z-index: 9999;
  22. position: fixed;
  23. width: 100%;
  24. left: 0;
  25. top: 420rpx;
  26. height: 100rpx;
  27. display: flex;
  28. align-items: center;
  29. text-align: center;
  30. gap: 20rpx;
  31. background-color: rgba(255, 255, 255, 0.2);
  32. backdrop-filter: blur(10rpx);
  33. border-radius: 20rpx 20rpx 0 0;
  34. }
  35. .item-tabs {
  36. flex: 1;
  37. height: 80rpx;
  38. line-height: 80rpx;
  39. position: relative;
  40. color: #B1B1B1;
  41. font-size: 28rpx;
  42. }
  43. .item-tabs:after {
  44. content: '';
  45. position: absolute;
  46. left: 50%;
  47. /* 水平起点居中 */
  48. transform: translateX(-50%);
  49. /* 向左偏移自身50%宽度,实现水平居中 */
  50. bottom: 0;
  51. width: 0;
  52. height: 8rpx;
  53. border-radius: 10rpx;
  54. background-color: #3EB6F8;
  55. opacity: 0;
  56. transition: opacity 0.5s;
  57. transition: width 0.3s;
  58. }
  59. .item-tabs.active {
  60. color: #2B303A;
  61. font-weight: bold;
  62. }
  63. .item-tabs.active:after {
  64. width: 48rpx;
  65. opacity: 1;
  66. }
  67. /* 选项卡end */
  68. .list-body {
  69. }
  70. .coupons-list-box {
  71. margin: auto;
  72. margin-top: 20rpx;
  73. position: relative;
  74. overflow: hidden;
  75. height: 196rpx;
  76. width: 702rpx;
  77. }
  78. .coupons-list-box .coupons-bg-img {
  79. position: absolute;
  80. height: 196rpx;
  81. width: 100%;
  82. }
  83. .coupons-content-box {
  84. position: absolute;
  85. display: flex;
  86. height: 196rpx;
  87. }
  88. .coupons-content-box .coupons-left {
  89. margin-top: 24rpx;
  90. width: 180rpx;
  91. text-align: center;
  92. margin-left: 14rpx;
  93. }
  94. .left-price {
  95. font-weight: 800;
  96. font-size: 50rpx;
  97. color: #FFFFFF;
  98. }
  99. .left-price text {
  100. font-size: 28rpx;
  101. }
  102. .left-rules {
  103. height: 46rpx;
  104. line-height: 46rpx;
  105. margin-top: 20rpx;
  106. background-color: #fff;
  107. border-radius: 24rpx;
  108. font-size: 24rpx;
  109. color: #FF6457;
  110. text-align: center;
  111. }
  112. .coupons-center {
  113. text-align: center;
  114. margin-left: 30rpx;
  115. margin-top: 24rpx;
  116. width: 300rpx;
  117. }
  118. .coupons-title {
  119. width:300rpx;
  120. font-weight: 800;
  121. font-size: 28rpx;
  122. color: #222222;
  123. }
  124. .coupons-valid {
  125. margin-top: 16rpx;
  126. font-size: 22rpx;
  127. color: #AAAAAA;
  128. }
  129. .coupons-range {
  130. margin-top: 16rpx;
  131. font-size: 24rpx;
  132. color: #222222;
  133. }
  134. .coupons-right {
  135. margin-top: 58rpx;
  136. margin-left:40rpx;
  137. }
  138. .coupons-dayrules {
  139. width: 150rpx;
  140. height: 60rpx;
  141. font-size: 20rpx;
  142. color: #AAAAAA;
  143. }
  144. .coupons-getbtn {
  145. margin-top:22rpx;
  146. height: 44rpx;
  147. width: 136rpx;
  148. text-align: center;
  149. line-height: 44rpx;
  150. background: #FF6457;
  151. border-radius: 22rpx;
  152. font-size: 24rpx;
  153. color: #FFFFFF;
  154. }
  155. .ribbon {
  156. width: 160rpx;
  157. height: 30rpx;
  158. background: #FF6457;
  159. position: absolute;
  160. right: -44rpx;
  161. top: 20rpx;
  162. transform: rotateZ(45deg);
  163. text-align: center;
  164. color: #fff;
  165. font-size: 20rpx;
  166. }
  167. .not-data{
  168. margin-top: 200rpx;
  169. display: flex;
  170. align-items: center;
  171. justify-content: center;
  172. flex-direction: column;
  173. font-size: 14px;
  174. color: #ccc;
  175. }
  176. .not-data .icon{
  177. display: block;
  178. width: 25vw;
  179. margin-bottom: 10px;
  180. }